--
--  出品者評価
--      t_seller_val
--

CREATE TABLE t_seller_val
(
    OrderNo integer NOT NULL,       -- PriKey
    MemberCd integer,               -- ForKey
    ConsumerMemberCd integer,       -- ForKey
    Valuation integer,
    Comment character varying(1024),

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(OrderNo)
);


-- トリガ
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_seller_val
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
